Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Signals | Public Member Functions | List of all members
ViewModeInterface Class Reference

Interface class for adding view modes to the ui. More...

`#include <OpenFlipper/BasePlugin/ViewModeInterface.hh>`

Inheritance diagram for ViewModeInterface:

## Signals
virtual void | defineViewModeToolboxes (QString _mode, QStringList _usedWidgets)
| Defines a ViewMode for the Toolboxes. More...

## Public Member Functions
virtual | ~ViewModeInterface ()
| Destructor.
virtual void | defineViewModeToolbars (QString _mode, QStringList _usedToolbars)
| Defines a ViewMode for the Toolbars. More...
virtual void | defineViewModeContextMenus (QString _mode, QStringList _usedContextMenus)
| Defines a ViewMode for the context menus. More...
virtual void | defineViewModeIcon (QString _mode, QString _iconName)
| Defines an Icon for a ViewMode. More...
virtual void | setViewMode (QString _mode, bool _expandAll=false)
| Set a ViewMode. More...

## Detailed Description

Interface class for adding view modes to the ui.

Detailed description

Definition at line 77 of file ViewModeInterface.hh.

## Member Function Documentation

virtual void ViewModeInterface::defineViewModeContextMenus | ( | QString | _mode,
|  | QStringList | _usedContextMenus
| ) |  |
| inline virtual

Defines a ViewMode for the context menus.

With this function you can define a set of context menus which should be visible for the specified view mode.

Parameters

  _mode | Name of the ViewMode
  _usedContextMenus | List of used context menus

Definition at line 116 of file ViewModeInterface.hh.

virtual void ViewModeInterface::defineViewModeIcon | ( | QString | _mode,
|  | QString | _iconName
| ) |  |
| inline virtual

Defines an Icon for a ViewMode.

With this function you can define an Icon associated with this view mode The Icon will be taken from the standard Icon path or in the OpenFlipper home directory.
The Icon should have a size of 150x150 pixels.

Parameters

  _mode | Name of the ViewMode
  _iconName | Filename of the Icon used for this view mode

Definition at line 128 of file ViewModeInterface.hh.

virtual void ViewModeInterface::defineViewModeToolbars | ( | QString | _mode,
|  | QStringList | _usedToolbars
| ) |  |
| inline virtual

Defines a ViewMode for the Toolbars.

With this function you can define a set of toolbars which should be visible for the specified view mode.

Parameters

  _mode | Name of the ViewMode
  _usedToolbars | List of used toolbars

Definition at line 106 of file ViewModeInterface.hh.

virtual void ViewModeInterface::defineViewModeToolboxes | ( | QString | _mode,
|  | QStringList | _usedWidgets
| ) |  |
| inline virtual signal

Defines a ViewMode for the Toolboxes.

With this function you can define a set of toolboxes which should be visible for the specified view mode.

Parameters

  _mode | Name of the ViewMode
  _usedWidgets | List of used Widgets names

Definition at line 96 of file ViewModeInterface.hh.

virtual void ViewModeInterface::setViewMode | ( | QString | _mode,
|  | bool | _expandAll = `false`
| ) |  |
| inline virtual

Set a ViewMode.

With this function you can switch to a viewMode This will show all corresponding toolboxes/toolbars

Parameters

  _mode | Name of the ViewMode
  _expandAll | Expand all toolboxes

Definition at line 138 of file ViewModeInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/ViewModeInterface.hh